For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get incoming domain move

Retrieve the incoming move for a specified domain.

Get incoming domain move

get

Retrieve the incoming move for a specified domain.

Returns 404 when no account is moving this domain to you.

Use this endpoint to check whether a domain addressed to you is still waiting to be accepted.

Authorizations
AuthorizationstringRequired

API Token authentication

Path parameters
domainstringRequired

Domain name

Example: mydomain.tld
Query parameters
force_syncbooleanOptional

Re-check the move against the registry before responding. Only has an effect while the move is in the activating status.

Default: falseExample: true
Responses
200

Success response

application/json
domainstringOptional

Domain name

Example: mydomain.tld
statusstring · enumOptional

Status of the move

Example: initiatedPossible values:
created_atstring · date-timeOptionalExample: 2026-08-04T10:00:00Z
updated_atstring · date-timeOptionalExample: 2026-08-04T10:00:00Z
get/api/domains/v1/move/incoming/{domain}
GET /api/domains/v1/move/incoming/{domain} HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "domain": "mydomain.tld",
  "status": "initiated",
  "created_at": "2026-08-04T10:00:00Z",
  "updated_at": "2026-08-04T10:00:00Z"
}

Last updated

Was this helpful?